org.eclipse.cdt.core.model

## Interface ICLanguageKeywords

All Known Implementing Classes:
  AbstractCLikeLanguage, CLanguageKeywords, GCCLanguage, GPPLanguage

    public interface ICLanguageKeywords

This is an optional extension interface to `ILanguage` which allows a C/C++ language variant to expose the set of keywords it defines.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getBuiltinTypes()` Returns the built-in type names defined for this language.
`String[]` `getKeywords()` Returns the keywords defined for this language, excluding built-in types.
`String[]` `getPreprocessorKeywords()` Returns the preprocessor keywords (directives) defined for this language.

### Method Detail

#### getKeywords

    String[] getKeywords()

Returns the keywords defined for this language, excluding built-in types.

Returns:
  an array of keywords, never `null`

#### getBuiltinTypes

    String[] getBuiltinTypes()

Returns the built-in type names defined for this language.

Returns:
  an array of names, never `null`

#### getPreprocessorKeywords

    String[] getPreprocessorKeywords()

Returns the preprocessor keywords (directives) defined for this language.

Returns:
  an array of keywords, never `null`